version: '3.3'

services:
  pichou:
    image: registry.gitlab.com/carne-8/pichou/pichou-reloaded:latest
    container_name: "pichou-discord-bot"
    environment:
      - BOT_ID=${BOT_ID}
      - BOT_TOKEN=${BOT_TOKEN}
      - NOTION_DATABASE_ID=${NOTION_DATABASE_ID}
      - NOTION_API_KEY=${NOTION_API_KEY}
      - NOTION_API_VERSION=${NOTION_API_VERSION}
    networks:
      - web

networks:
  web:
    external: true